summaryrefslogtreecommitdiff
path: root/script/update/trees
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-28 16:34:45 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-28 16:34:45 +0000
commit34ded35fa616a323f582d3e942d7b49ac9beeef4 (patch)
tree54e988545c63c5e029da54e30d6a8dce272a90e5 /script/update/trees
parent4e06779948744b3d7c09b3749ddc06e0b9e73732 (diff)
lbmk scripts: general code cleanup
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update/trees')
-rwxr-xr-xscript/update/trees10
1 files changed, 3 insertions, 7 deletions
diff --git a/script/update/trees b/script/update/trees
index da42d200..556181ed 100755
--- a/script/update/trees
+++ b/script/update/trees
@@ -98,8 +98,7 @@ handle_targets()
done
[ "$target1" = "utils" ] && [ "$project" = "coreboot" ] && return 0
- [ -z "${mode}" ] || return 0
- printf "Done! The files are stored under %s/\n\n" "$elfdir"
+ [ -z "${mode}" ] && printf "Done! Check %s/\n\n" "$elfdir"; return 0
}
handle_defconfig()
@@ -149,8 +148,7 @@ handle_src_tree()
fi
[ "$target1" = "utils" ] && [ "$project" = "coreboot" ] && return 0
- [ -z "$mode" ] || return 0
- check_cross_compiler
+ [ -z "$mode" ] && check_cross_compiler; return 0
}
check_cross_compiler()
@@ -172,8 +170,7 @@ check_cross_compiler()
check_config()
{
- [ -f "$config" ] || \
- err "check_config: ${project}/${target}: configs missing"
+ [ -f "$config" ] || err "check_config: ${project}/${target}: no config"
dest_dir="${elfdir}/${target}/${config_name}"
# TODO: very hacky check. do it properly (based on build.list)
@@ -214,7 +211,6 @@ run_make_command()
> "${codedir}/.coreboot-version"
x_ make $mode -j$(nproc) -C "$codedir"
-
[ "$mode" != "clean" ] && return 0
make -C "$codedir" distclean 2>/dev/null || :
}